using System.Collections.Generic;

public class ModuleUI {
	private string name;
	private float x;
	private float y;
	private float width;
	private float height;
	private int tab;
	private List<string> monitoredModules;

	public ModuleUI(string name, float x, float y, float width, float height, int tab, List<string> monitoredModules) {
		this.name = name;
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
		this.tab = tab;
		this.monitoredModules = monitoredModules;
	}

	public string getName() {
		return name;
	}

	public float getX() {
		return x;
	}

	public float getY() {
		return y;
	}

	public float getWidth() {
		return width;
	}

	public float getHeight() {
		return height;
	}

	public int getTab() {
		return tab;
	}

	public List<string> getMonitoredModules() {
		return monitoredModules;
	}
}
